function toggleScoreboard(show) {
    const scoreboard = document.getElementById('scoreboard');
    if (show) {
        scoreboard.style.display = 'block';
        document.body.style.backgroundColor = 'rgba(0, 0, 0, 0.75)'; // Фонов цвят при отворен scoreboard
    } else {
        scoreboard.style.display = 'none';
        document.body.style.backgroundColor = 'transparent'; // Прозрачен фон при затворен scoreboard
    }
}

// Пример за добавяне на събитие за отваряне/затваряне
document.addEventListener('DOMContentLoaded', () => {
    document.getElementById('closeButton').addEventListener('click', () => {
        toggleScoreboard(false);
    });

    // Ако искате да отваряте с F5 или команда
    document.addEventListener('keydown', (event) => {
        if (event.key === 'F5') {
            toggleScoreboard(true);
        }
    });
});
